nonstd::variants::detail::type_of_size< List, N > Struct Template Reference

`#include <variant.hpp>`

## Public Types

typedef std11::conditional< N==sizeof(typenameList::head), typenameList::head, typenametype_of_size< typenameList::tail, N >::type >::type | type

## Detailed Description

template<typename List, size_t N>
struct nonstd::variants::detail::type_of_size< List, N >

Definition at line 933 of file variant.hpp.

## Member Typedef Documentation

## type

template<typename List , size_t N>

typedef std11::conditional<N==sizeof(typenameList::head),typenameList::head,typenametype_of_size<typenameList::tail,N>::type>::type nonstd::variants::detail::type_of_size< List, N >::type

Definition at line 938 of file variant.hpp.

The documentation for this struct was generated from the following file:

- restinio/third_party/variant-lite/variant.hpp